{% extends 'base.html.twig' %}

{% block title %}Accueil{% endblock %}

{% block body %}
    <div class="container-fluid">
        <div class="row">
            <div class="col d-flex justify-content-center">
                <h1 class="my-5">Accueil</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-6">
                <div class="col d-flex justify-content-center">
                    <h2>Produits les plus récents</h2>
                </div>
                {% for product in mostrecentproducts %}
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 card">
                            <div class="card-body">
                                <a href="/product/{{ product.id }}">
                                    <h5 class="card-title">{{ product.name }}</h5>
                                </a>
                                <p class="card-text">Date de parution : {{ product.createdAt|date("m/d/Y") }}
                                    </br>
                                    <div class="row">
                                        <div class="d-flex justify-content-end">
                                            <a href="/product/{{ product.id }}" class="btn btn-primary">Voir Plus</a>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
                </br>
                {% endfor %}
            </div>
            <div class="col-6">
                <div class="col d-flex justify-content-center">
                    <h2>Produits les moins chers</h2>
                </div>
                {% for product in minprices %}
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 card">
                            <div class="card-body">
                                <a href="/article/{{ product.id }}">
                                    <h5 class="card-title">{{ product.name }}</h5>
                                </a>
                                <p class="card-text">Prix : {{ product.price }} €</p>
                                    </br>
                                    <div class="row">
                                        <div class="d-flex justify-content-end">
                                            <a href="/product/{{ product.id }}" class="btn btn-primary">Voir Plus</a>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
                </br>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}
